Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 11/29/2022 in all areas

  1. If you look at the code you are using it will have something like: (setq ss (ssget '((0 . "LWPOLYLINE")))) Where ssget gets a 'selection set' of objects. This is limited by the next part '((0 . "LWPOLYLINE")) to polylines - delete that and it will select all objects. Should then have: (setq ss (ssget)) Note that you can also change LWPOLYLINE to other object types, and use wild cards, replace it with "CIRCLE" to just select circles, of "*LINE" (the * is a wildcard) to select all lines and polylines - it is worth reading more about selection sets.
    1 point
  2. Move osmode 0 before the block command. Could be snapping to something when copybase is called. or just use "_non" so snaps are ignored. ;;----------------------------------------------------------------------------;; ;; Make Quick Block (defun C:QB () (setq bpt (getpoint "\nPick Insertion point: ")) (setq ss (ssget)) (command "COPYBASE" "_non" bpt ss "") (command "Erase" ss "") (command "pasteblock" "_non" bpt) (princ) )
    1 point
  3. I don't think you can use ncopy with xref. This is what i came up with last February. (might need some tweaking)
    1 point
  4. @Sambo FWIW ;; This (setq allents (ssget "_P" (list (cons -4 "<AND") (cons -4 "<OR") (cons 0 "TEXT") (cons 0 "MTEXT") (cons -4 "OR>") (cons -4 "<OR") (cons 8 "TEXT_STAGE NUMBER_LISP") (cons 8 "TEXT_LOT NUMBER_LISP") (cons 8 "POLY*") (cons -4 "OR>") (cons -4 "AND>") ) ) ) ;; Could be simplified to this (setq allents (ssget "_P" '((0 . "TEXT,MTEXT") (8 . "TEXT_STAGE NUMBER_LISP,TEXT_LOT NUMBER_LISP,POLY*")) ) )
    1 point
  5. Yes I have up to 5 attributes deep sorted and counted, eg I have a block called DOOR so there are 19 Door blocks with attribute color but count is. DOOR BLACK 5 DOOR WHITE 6 DOOR SILVER 8 Going even further DOOR BLACK 820x2100 22 DOOR BLACK 1020x2100 4 Happy to discuss not free but Beer price. Post a sample dwg and will test.
    1 point
  6. Here in AUS if making a box would probably be using 19mm thick timber sheet. I would draw rectangs length x thickness as ReMark suggested extrude to required height, to make box, you can then copy each side and use rotate3D to make a flat pattern and add dimensions.
    1 point
  7. Re: "required thickness". I am referring to the thickness of the lumber itself. What is the nominal thickness of wood used in the country you live in? In the United States it is three quarters of an inch although if one is constructing boxes out of plywood it could vary. Re: UCS. If you are working in 3D it is a requirement that you know how to reorient the UCS. This should have been taught to you by your instructor. Refer to Lesson 3-12 at mycadsite.com titled: "Setting and Using the UCS | Dynamic UCS" for instructions as to one method. An optional method is to right-click the UCS icon, and click Rotate Axis. Click X, Y, or Z. As you drag the cursor, the UCS rotates in the positive direction around the specified axis. You can also specify a rotation angle. Re: 3D toothbrush. I posted a reply that includes the commands one might use and an image showing the progression for creating the toothbrush from 2D to 3D. The only thing you learn by giving up is knowledge and experience.
    1 point
  8. If you are using the acadiso.dwt (drawing template) then it is already set up to utilize metric. Here is one way to create a box. Create a rectangle using the Rectangle command. Offset the rectangle the required thickness of the box you want to create. Reorient the UCS so that the Y axis is pointed up. Move the inner rectangle the required thickness. Reorient the UCS so the Z axis is up. Extrude the inner rectangle to a height slightly higher than what your finished box will be. Extrude the outer rectangle to the exact finished height. Subtract the inner rectangle from the outer rectangle. Done. By the way, how's that 3D toothbrush coming along? Have you made any progress at all or did you give up?
    1 point
  9. You could select them with (sssetfirst nil (ssget "X" '((0 . "DIMENSION")))) and use the Ribbon drop-down to set the Dimension Style.
    1 point
×
×
  • Create New...